package org.security.trans.taskCheck.task;

import org.security.common.eum.FrequencyEnum;
import org.security.trans.task.entity.Task;

/**
 * @author zj 2022/4/11
 */
public interface ITaskCheck {
	/**
	 * 处理
	 */
	void handle(Task task);

	/**
	 * 支持类型
	 *
	 * @return TaskCheckEnum
	 */
	boolean support(FrequencyEnum frequencyEnum);
}
